=== debian/changelog ===
futuresql (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Small fixes to copyright:
    - fix "or" specifications
    - drop extra texts when pointing to common-licenses
    - wrap to 80 columns
  * Mark libfuturesql6-0 as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Tue, 11 Feb 2025 07:25:16 +0100

futuresql (0.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix the Vcs-* fields to point to the packaging repository, not the
    upstream one.
  * Add the configuration for the CI on salsa.
  * Remove the unused ${shlibs:Depends} substvar from libfuturesql6-dev.
  * Point the watch file to the Attic download location; better than none
    at all.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Re-export upstream signing key without extra signatures.
  * Add the libqt6sql6-sqlite test-only build dependency, needed to run the
    test suite.
  * Drop reproducible=-fixfilepath from $DEB_BUILD_MAINT_OPTIONS, as it does
    not seem to be needed.
  * Enable the execution of the unit tests at build time, as they seem to be
    working fine.
  * Add Rules-Requires-Root: no.
  * The version 0.1.0 previously uploaded is actually a Git snapshot of the
    upstream development branch and not the actual 0.1.0 tag; to ensure that
    the version 0.1.1 matches what was uploaded previously then:
    - pass -DQT_MAJOR_VERSION=6 to cmake
    - backport upstream commit 9a37f92f6bedd565f6e3349c31faa264e4b22d31 to
      print a warning if the migrations directory does not exist; patch
      upstream_Print-warning-if-the-migrations-directory-does-not-e.patch

 -- Pino Toscano <pino@debian.org>  Tue, 24 Dec 2024 10:46:12 +0100

futuresql (0.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:23:06 +0100

futuresql (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1077482)

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 29 Jul 2024 03:16:46 -0700
