=== debian/control ===
Source: futuresql
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.1.0~),
               libqt6sql6-sqlite <!nocheck>,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qcoro-qt6-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/futuresql
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/futuresql
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/futuresql.git

Package: libfuturesql6-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: asynchronous Qt code library
 A non-blocking database framework for Qt.
 FutureSQL was in part inspired by Diesel, and provides a higher level of
 abstraction than QtSql.
 Its features include non-blocking database access by default, relatively
 boilderplate-free queries, automatic database migrations and simple mapping
 to objects.
 In order to make FutureSQL's use of templates less confusing, FutureSQL uses
 C++20 concepts, and requires a C++20 compiler.
 Warning: The API is not finalized yet.

Package: libfuturesql6-dev
Section: libdevel
Architecture: any
Depends: qt6-base-dev,
         libfuturesql6-0 (= ${binary:Version}),
         ${misc:Depends}
Description: asynchronous Qt code development
 A non-blocking database framework for Qt.
 FutureSQL was in part inspired by Diesel, and provides a higher level of
 abstraction than QtSql.
 Its features include non-blocking database access by default, relatively
 boilderplate-free queries, automatic database migrations and simple mapping
 to objects.
 In order to make FutureSQL's use of templates less confusing, FutureSQL uses
 C++20 concepts, and requires a C++20 compiler.
 Warning: The API is not finalized yet.
 .
 Development Files.
