=== debian/watch ===
version=4
#opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/Attic/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
